#!/usr/bin/env python

# Author: Forest Bond <forest.bond@rapidrollout.com>
# This file is in the public domain.

import os, sys, commands


sys.path.insert(0, os.path.join(os.path.dirname(__file__)))


from setuplib import setup


def get_version(release_file):
    try:
        f = open(release_file, 'r')
        try:
            return f.read().strip()
        finally:
            f.close()
    except (IOError, OSError):
        status, output = commands.getstatusoutput('bzr revno')
        if status == 0:
            return 'bzr%s' % output.strip()
    return 'unknown'


setup(
  name = 'pydbusclone',
  distinfo_module = 'dbusclone.distinfo',
  packages = [
    'dbusclone',
    'dbusclone.apps',
    'dbusclone.mainloop',
  ],
  version = get_version('release'),
)
