# Copyright (c) 2010-2011 Outpost Embedded, LLC
# This file is part of the pydbusclone software package.
#
# pydbusclone is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License version 2 as published by the
# Free Software Foundation.
#
# A copy of the license has been included in the COPYING file.

import sys

import glib
from dbus.mainloop.glib import DBusGMainLoop
import dbus
from dbusclone.mainloop import set_mainloop_type
from dbusclone.apps.udisks import UDisks


DBusGMainLoop(set_as_default = True)
bus = dbus.SystemBus()
set_mainloop_type('glib')
mainloop = glib.MainLoop()


def handle_error(e):
    print >>sys.stderr, 'ERROR: %s' % e


def udisks_ready(udisks):
    for device in udisks.devices.iter_objects():
        props = device.properties.getdict()
        print props['DeviceFile']
        for k, v in props.items():
            if isinstance(v, dbus.Array):
                print '  %s: [ARRAY]' % k
            else:
                print '  %s: %s' % (k, v)
    mainloop.quit()


UDisks(
  bus = bus,
  ready_callback = udisks_ready,
  default_error_handler = handle_error,
)


mainloop.run()
